This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121830 - deprecated START_ARRAY ioctl
deprecated START_ARRAY ioctl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: raidtools (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 09:07 EDT by Petr Krištof
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 16:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Krištof 2004-04-28 09:07:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When Im trying to start array with command 'raidstart /dev/md0'
I get the error:

Apr 28 15:08:39 server kernel: md: raidstart(pid 1688) used deprecated
START_ARRAY ioctl. This will not be supported beyond 2.6

So I switched to mdadm, it doesnt report this error.


Version-Release number of selected component (if applicable):
raidtools-1.00.3-8

How reproducible:
Always

Steps to Reproduce:
raidstart /dev/md0


Additional info:
Comment 1 Doug Ledford 2004-05-03 16:36:06 EDT
raidtools as a package is deprecated and will likely go away soon. 
Obviously, there's no sense fixing this if raidtools is just going to
go away.

Note You need to log in before you can comment on or make changes to this bug.